# Interface methods for submodule: BinaryMask3DMeshSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToMeshFilterProxy as _ImageToMeshFilterProxy


# Interface methods for class: BinaryMask3DMeshSource
class BinaryMask3DMeshSourceProxy(_ImageToMeshFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetObjectValue(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfNodes(self) -> int:
		""""""
		...

	def GetNumberOfCells(self) -> int:
		""""""
		...

	def SetInput(self, image) -> None:
		""""""
		...

	def SetRegionOfInterest(self, iRegion: ImageRegion) -> None:
		""""""
		...

	def GetRegionOfInterest(self) -> ImageRegion:
		""""""
		...

